#ifndef GITEA_API_H_
#define GITEA_API_H_

#include <curl/curl.h>

typedef struct {
	CURL* handle;
	char* instance;
} SESSION;

struct RESPONSE{
	char* data;
	size_t size;
	long status;
};

enum TEAUI_GITEA_JSONPARSER { 
	TEAUI_GITEA_JSONPARSER_TOKEN,
};

void teaui_gitea_printResponse();
int teaui_gitea_parseResponse(char* dest, enum TEAUI_GITEA_JSONPARSER type);

SESSION teaui_gitea_session(const char *instance);
void teaui_gitea_cleanup(SESSION s);

void teaui_gitea_auth_basic(SESSION s, const char *user, const char *pass);
void teaui_gitea_auth_token(SESSION s, const char *token);

void teaui_gitea_auth_generateToken(SESSION s, const char *username, const char *name);

#endif /* ifndef GITEA_API_H_ */
